<%@ include file="/WEB-INF/jsp/common.jsp" %>

<style type="text/css">
<!--
dl.editActionItem {
  margin: 0;
  padding: 0;
}

dl.editActionItem dd {
  margin: 0 0 10px 0;
}

dl.editActionItem span.error {
  color: #FF0000;
}
-->
</style>

<h3><spring:message code="actionItemEdit" /></h3>

<portlet:actionURL var="editActionItemUrl">
  <portlet:param name="action" value="editActionItem" />
</portlet:actionURL>

<form:form action="${editActionItemUrl}" method="post" commandName="actionItem">
  <dl class="editActionItem">
    <dt><spring:message code="id" /><dt/>
    <dd>
      ${actionItem.id}
      <form:hidden path="id" />
    </dd>
    <dt>
      <spring:message code="actionName" />
      <span class="error"><form:errors path="actionName" /></span>
    </dt>
    <dd>
      <form:input path="actionName" size="40" />
    </dd>
    <dt>
      <spring:message code="deadline" />
      <span class="error"><form:errors path="deadline" /></span>
    </dt>
    <dd>
      <form:input path="deadline" maxlength="10" />
    </dd>
    <dt>
      <spring:message code="worker" />
      <span class="error"><form:errors path="worker" /></span>
    </dt>
    <dd>
      <form:input path="worker" size="20" />
    </dd>
    <dt>
      <spring:message code="isCompletion" />
      <span class="error"><form:errors path="completion" /></span>
    </dt>
    <dd>
      <form:radiobutton path="completion" value="true" />true
      <form:radiobutton path="completion" value="false" />false
    </dd>
  </dl>
  <div>
    <input type="submit" value="<spring:message code='edit' />" />
  </div>
</form:form>

<portlet:renderURL var="viewActionItemUrl" portletMode="view">
  <portlet:param name="action" value="viewActionItem" />
  <portlet:param name="id" value="${actionItem.id}" />
</portlet:renderURL>
<p>
  <a href="${viewActionItemUrl}"><spring:message code="actionItem" /></a>
</p>
