<%@ include file="/WEB-INF/jsp/common.jsp" %>

<style type="text/css">
<!--
table.actionItem {
  border-collapse: collapse;
  border-spacing: 0;
  empty-cells: show;
}
table.actionItem th, td {
  padding: 5px;
  border: 1px solid #000000;
}
-->
</style>

<h3><spring:message code="actionItem" /></h3>

<table class="actionItem">
  <tr>
    <td><spring:message code="id" /></td>
    <td>${actionItem.id}</td>
  </tr>
  <tr>
    <td><spring:message code="actionName" /></td>
    <td>${actionItem.actionName}</td>
  </tr>
  <tr>
    <td><spring:message code="deadline" /></td>
    <td>
      <fmt:formatDate value="${actionItem.deadline}"
                      type="date"
                      dateStyle="medium" />
    </td>
  </tr>
  <tr>
    <td><spring:message code="worker" /></td>
    <td>${actionItem.worker}</td>
  </tr>
  <tr>
    <td><spring:message code="isCompletion" /></td>
    <td>${actionItem.completion}</td>
  </tr>
</table>

<portlet:renderURL var="editActionItemUrl" portletMode="edit">
  <portlet:param name="action" value="editActionItem" />
  <portlet:param name="id" value="${actionItem.id}" />
</portlet:renderURL>
<portlet:actionURL var="removeActionItemUrl" portletMode="view">
  <portlet:param name="action" value="removeActionItem" />
  <portlet:param name="id" value="${actionItem.id}" />
</portlet:actionURL>
<portlet:renderURL var="viewActionItemsUrl" portletMode="view">
  <portlet:param name="action" value="viewActionItems" />
</portlet:renderURL>
<p>
  <a href="${editActionItemUrl}"><spring:message code="edit" /></a>
  <a style="margin-left: 10px;" href="${removeActionItemUrl}">
    <spring:message code="remove" />
  </a>
  <a style="margin-left: 10px;" href="${viewActionItemsUrl}">
    <spring:message code="actionItems" />
  </a>
</p>
