package com.mamezou.sample.portletmvc;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.PortletMode;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.springframework.web.portlet.ModelAndView;
import org.springframework.web.portlet.mvc.Controller;

import com.mamezou.sample.business.MessageManager;

/**
 * HelloWorldRg[
 * @author MBeans
 * @version 1.0
 */
public class MessageController implements Controller {

    private MessageManager messageManager;

    public void setMessageManager(MessageManager messageManager) {
        this.messageManager = messageManager;
    }

    public void handleActionRequest(
            ActionRequest request, ActionResponse response) {
        messageManager.setMessage(request.getParameter("message"));
    }

    public ModelAndView handleRenderRequest(
            RenderRequest request, RenderResponse response) {
        String viewName
                = PortletMode.EDIT.equals(request.getPortletMode())
                        ? "editMessage" : "viewMessage";
        return new ModelAndView(
                viewName, "message", messageManager.getMessage());
    }
}
