package com.mamezou.sample.portletmvc;

import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.springframework.web.portlet.ModelAndView;
import org.springframework.web.portlet.mvc.AbstractController;

import com.mamezou.sample.business.ActionItemManager;

/**
 * ANVACeXg\Rg[B
 * @author MBeans
 * @version 1.0
 */
public class ViewActionItemsController extends AbstractController {

    private ActionItemManager actionItemManager;

    public void setActionItemManager(ActionItemManager actionItemManager) {
        this.actionItemManager = actionItemManager;
    }

    protected ModelAndView handleRenderRequestInternal(
            RenderRequest request, RenderResponse response) {
        return new ModelAndView(
                "viewActionItems",
                "actionItems", actionItemManager.getActionItems());
    }
}
