<%@ include file="/WEB-INF/jsp/common.jsp" %>

<style type="text/css">
<!--
dl.addActionItem {
  margin: 0;
  padding: 0;
}

dl.addActionItem dd {
  margin: 0 0 10px 0;
}

dl.addActionItem span.error {
  color: #FF0000;
}
-->
</style>

<h3><spring:message code="actionItemAdd" /></h3>

<portlet:actionURL var="addActionItemUrl">
  <portlet:param name="action" value="addActionItem" />
</portlet:actionURL>

<form:form action="${addActionItemUrl}" method="post" commandName="actionItem">
  <dl class="addActionItem">
    <dt>
      <spring:message code="actionName" />
      <span class="error"><form:errors path="actionName" /></span>
    </dt>
    <dd>
      <form:input path="actionName" size="40" />
    </dd>
    <dt>
      <spring:message code="deadline" />
      <span class="error"><form:errors path="deadline" /></span>
    </dt>
    <dd>
      <form:input path="deadline" maxlength="10" />
    </dd>
    <dt>
      <spring:message code="worker" />
      <span class="error"><form:errors path="worker" /></span>
    </dt>
    <dd>
      <form:input path="worker" size="20" />
    </dd>
  </dl>
  <div>
    <input type="submit" value="<spring:message code='add' />" />
  </div>
</form:form>

<portlet:renderURL var="viewActionItemsUrl" portletMode="view">
  <portlet:param name="action" value="viewActionItems" />
</portlet:renderURL>
<p>
  <a href="${viewActionItemsUrl}"><spring:message code="actionItems" /></a>
</p>
