<%@ include file="/WEB-INF/jsp/common.jsp" %>

<style type="text/css">
<!--
table.actionItems {
  border-collapse: collapse;
  border-spacing: 0;
  empty-cells: show;
}
table.actionItems th, td {
  padding: 5px;
  border: 1px solid #000000;
}
-->
</style>

<h3><spring:message code="actionItems" /></h3>

<table class="actionItems">
  <thead>
    <tr>
      <th><spring:message code="actionName" /></th>
      <th><spring:message code="deadline" /></th>
      <th><spring:message code="worker" /></th>
      <th><spring:message code="isCompletion" /></th>
    </tr>
  </thead>
  <tbody>
    <c:forEach items="${actionItems}" var="actionItem">
      <portlet:renderURL var="viewActionItemUrl" portletMode="view">
        <portlet:param name="action" value="viewActionItem" />
        <portlet:param name="id" value="${actionItem.id}" />
      </portlet:renderURL>
      <tr>
        <td>
          <a href="${viewActionItemUrl}">${actionItem.actionName}</a>
        </td>
        <td>
          <fmt:formatDate value="${actionItem.deadline}"
                          type="date"
                          dateStyle="medium" />
        </td>
        <td>${actionItem.worker}</td>
        <td>${actionItem.completion}</td>
      </tr>
    </c:forEach>
  </tbody>
</table>

<portlet:renderURL var="addActionItemUrl" portletMode="edit">
  <portlet:param name="action" value="addActionItem" />
</portlet:renderURL>
<p>
<a href="${addActionItemUrl}"><spring:message code="add" /></a>
</p>
