package com.mamezou.sample.business;

import java.io.Serializable;
import java.util.Date;

/**
 * ANVACeNXB
 * @author MBeans
 * @version 1.0
 */
@SuppressWarnings("serial")
public class ActionItem implements Serializable {

    private Integer id;
    private String actionName;
    private Date deadline;
    private String worker;
    private boolean isCompletion;

    public ActionItem() {
        // nothring to do;
    }

    public ActionItem(String actionName, Date deadline, String worker) {
        this.actionName = actionName;
        this.deadline = deadline;
        this.worker = worker;
    }

    public Integer getId() {
        return id;
    }

    void setId(Integer id) {
        this.id = id;
    }

    public String getActionName() {
        return actionName;
    }

    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public String getWorker() {
        return worker;
    }

    public void setWorker(String worker) {
        this.worker = worker;
    }

    public boolean isCompletion() {
        return isCompletion;
    }

    public void setCompletion(boolean isCompletion) {
        this.isCompletion = isCompletion;
    }
}
